#!/bin/bash

HOST=127.0.0.1
PORT=35514
USER=root
PASSWORD=
SCHEMA=sbtest
ROWS=1000000
REQUESTS=1000000

cd /home/mysql/product/sysbench-0.5

for s in MyISAM InnoDB ; do

  for t in 1 2 4 8 16 ; do

    echo "prepare"
    ./bin/sysbench --test=tests/db/insert.lua --oltp-tables-count=1 --num-threads=8 \
                   --mysql-host=$HOST --mysql-port=$PORT --mysql-user=$USER --mysql-password=$PASSWORD \
                   --max-requests=$REQUESTS --oltp-table-size=$ROWS --mysql-db=$SCHEMA --mysql-table-engine=$s prepare

    echo "Storage Engine: $s, Threads: $t"
    echo "run"
    ./bin/sysbench --test=tests/db/insert.lua --oltp-tables-count=1 --num-threads=$t \
                   --mysql-host=$HOST --mysql-port=$PORT --mysql-user=$USER --mysql-password=$PASSWORD \
                   --max-requests=$REQUESTS --oltp-table-size=$ROWS --mysql-db=$SCHEMA --mysql-table-engine=$s run

    echo "cleanup"
    ./bin/sysbench --test=tests/db/insert.lua --oltp-tables-count=1 --num-threads=8 \
                   --mysql-host=$HOST --mysql-port=$PORT --mysql-user=$USER --mysql-password=$PASSWORD \
                   --max-requests=$REQUESTS --oltp-table-size=$ROWS --mysql-db=$SCHEMA --mysql-table-engine=$s cleanup
  done
done

cd -
exit 0

